PUT /settings/users/\{id\}
PUT/settings/users/:id
PUT /settings/users/{id}
Request
Path Parameters
id int64required
- application/json-patch+json
- application/json
- text/json
- application/*+json
Body
Array [
]
id int64nullable
user_id int64nullable
email stringnullable
first_name stringnullable
last_name stringnullable
is_owner boolean
permissions
object[]
nullable
module stringnullable
feature stringnullable
access boolean
Body
Array [
]
id int64nullable
user_id int64nullable
email stringnullable
first_name stringnullable
last_name stringnullable
is_owner boolean
permissions
object[]
nullable
module stringnullable
feature stringnullable
access boolean
Body
Array [
]
id int64nullable
user_id int64nullable
email stringnullable
first_name stringnullable
last_name stringnullable
is_owner boolean
permissions
object[]
nullable
module stringnullable
feature stringnullable
access boolean
Body
Array [
]
id int64nullable
user_id int64nullable
email stringnullable
first_name stringnullable
last_name stringnullable
is_owner boolean
permissions
object[]
nullable
module stringnullable
feature stringnullable
access boolean
Responses
- 200
OK
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
Array [
]
id int64nullable
user_id int64nullable
email stringnullable
first_name stringnullable
last_name stringnullable
is_owner boolean
permissions
object[]
nullable
module stringnullable
feature stringnullable
access boolean
{
"id": 0,
"user_id": 0,
"email": "string",
"first_name": "string",
"last_name": "string",
"is_owner": true,
"permissions": [
{
"module": "string",
"feature": "string",
"access": true
}
]
}
- Schema
- Example (from schema)
Schema
Array [
]
id int64nullable
user_id int64nullable
email stringnullable
first_name stringnullable
last_name stringnullable
is_owner boolean
permissions
object[]
nullable
module stringnullable
feature stringnullable
access boolean
{
"id": 0,
"user_id": 0,
"email": "string",
"first_name": "string",
"last_name": "string",
"is_owner": true,
"permissions": [
{
"module": "string",
"feature": "string",
"access": true
}
]
}
- Schema
- Example (from schema)
Schema
Array [
]
id int64nullable
user_id int64nullable
email stringnullable
first_name stringnullable
last_name stringnullable
is_owner boolean
permissions
object[]
nullable
module stringnullable
feature stringnullable
access boolean
{
"id": 0,
"user_id": 0,
"email": "string",
"first_name": "string",
"last_name": "string",
"is_owner": true,
"permissions": [
{
"module": "string",
"feature": "string",
"access": true
}
]
}
Loading...